Pre-release — content may change.

Communication preferences

Create a communication preference

POST
/communication_preferences

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/communication_preferences" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "communication_preferences",      "attributes": {}    }  }'
{  "data": {    "type": "communication_preferences",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "sublist_key": "string",      "description": "string",      "description_en": "string",      "description_fr": "string",      "help_text": "string",      "help_text_en": "string",      "help_text_fr": "string",      "short_label": "string",      "merge_field_name": "string",      "weight": 0,      "default": true    },    "relationships": {      "parent": {        "data": {          "type": "communication_preferences",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "children": {        "data": [          {            "type": "communication_preferences",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ]      }    },    "links": {      "self": "/communication_preferences/7247ad7d-9275-454b-9e3a-0570e403739e"    },    "meta": {}  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}